/*
 * @Author: Kane
 * @Date: 2022-12-14 15:12:46
 * @LastEditors: Kane
 * @LastEditTime: 2023-01-07 16:44:45
 * @FilePath: \admin_system\src\main.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
//import "@/components/svg/svg";

import("./css/root.css");
import("./css/normalize.css");
import("./css/colors.css");
import("element-plus/dist/index.css");

// import "./assets/css/root.css";
// import "./assets/css/normalize.css";
// import "./assets/css/global.css";
// import "./assets/css/colors.css";

import ElementPlus from "element-plus";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
import SvgIcon from "./components/svg/SvgIcon";

const app = createApp(App);

app.component("SvgIcon", SvgIcon);

for (const [key, component] of Object.entries(ElementPlusIconsVue))
{
    app.component(key, component);
}

app.use(ElementPlus);
app.use(store).use(router).mount('#app');